package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UserAddress{
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private Integer userId;
    private String realName;
    private String telephone;
    private String postcode;
    private String address;
    private String addressDetail;
    private String defaultFlag;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public Date getUpdateTime(){
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }
    public String getUpdateUser(){
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser){
        this.updateUser = updateUser;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public String getCreateUser(){
        return this.createUser;
    }

    public void setCreateUser(String createUser){
        this.createUser = createUser;
    }
    public Integer getUserId(){
        return this.userId;
    }

    public void setUserId(Integer userId){
        this.userId = userId;
    }
    public String getRealName(){
        return this.realName;
    }

    public void setRealName(String realName){
        this.realName = realName;
    }
    public String getTelephone(){
        return this.telephone;
    }

    public void setTelephone(String telephone){
        this.telephone = telephone;
    }
    public String getPostcode(){
        return this.postcode;
    }

    public void setPostcode(String postcode){
        this.postcode = postcode;
    }
    public String getAddress(){
        return this.address;
    }

    public void setAddress(String address){
        this.address = address;
    }
    public String getAddressDetail(){
        return this.addressDetail;
    }

    public void setAddressDetail(String addressDetail){
        this.addressDetail = addressDetail;
    }
    public String getDefaultFlag(){
        return this.defaultFlag;
    }

    public void setDefaultFlag(String defaultFlag){
        this.defaultFlag = defaultFlag;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

}

